package com.bonus.canteen.core.account.v3.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class AccWalletInfoRechargePO {
   private Long custId;
   private Integer walletId;
   private BigDecimal amount;
   private BigDecimal lastSubsidyAmount;
   private LocalDateTime lastSubsidyTime;

   public static AccWalletInfoRechargePOBuilder builder() {
      return new AccWalletInfoRechargePOBuilder();
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getLastSubsidyAmount() {
      return this.lastSubsidyAmount;
   }

   public LocalDateTime getLastSubsidyTime() {
      return this.lastSubsidyTime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setLastSubsidyAmount(final BigDecimal lastSubsidyAmount) {
      this.lastSubsidyAmount = lastSubsidyAmount;
   }

   public void setLastSubsidyTime(final LocalDateTime lastSubsidyTime) {
      this.lastSubsidyTime = lastSubsidyTime;
   }

   public AccWalletInfoRechargePO(final Long custId, final Integer walletId, final BigDecimal amount, final BigDecimal lastSubsidyAmount, final LocalDateTime lastSubsidyTime) {
      this.custId = custId;
      this.walletId = walletId;
      this.amount = amount;
      this.lastSubsidyAmount = lastSubsidyAmount;
      this.lastSubsidyTime = lastSubsidyTime;
   }

   public AccWalletInfoRechargePO() {
   }

   public static class AccWalletInfoRechargePOBuilder {
      private Long custId;
      private Integer walletId;
      private BigDecimal amount;
      private BigDecimal lastSubsidyAmount;
      private LocalDateTime lastSubsidyTime;

      AccWalletInfoRechargePOBuilder() {
      }

      public AccWalletInfoRechargePOBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public AccWalletInfoRechargePOBuilder walletId(final Integer walletId) {
         this.walletId = walletId;
         return this;
      }

      public AccWalletInfoRechargePOBuilder amount(final BigDecimal amount) {
         this.amount = amount;
         return this;
      }

      public AccWalletInfoRechargePOBuilder lastSubsidyAmount(final BigDecimal lastSubsidyAmount) {
         this.lastSubsidyAmount = lastSubsidyAmount;
         return this;
      }

      public AccWalletInfoRechargePOBuilder lastSubsidyTime(final LocalDateTime lastSubsidyTime) {
         this.lastSubsidyTime = lastSubsidyTime;
         return this;
      }

      public AccWalletInfoRechargePO build() {
         return new AccWalletInfoRechargePO(this.custId, this.walletId, this.amount, this.lastSubsidyAmount, this.lastSubsidyTime);
      }

      public String toString() {
         Long var10000 = this.custId;
         return "AccWalletInfoRechargePO.AccWalletInfoRechargePOBuilder(custId=" + var10000 + ", walletId=" + this.walletId + ", amount=" + String.valueOf(this.amount) + ", lastSubsidyAmount=" + String.valueOf(this.lastSubsidyAmount) + ", lastSubsidyTime=" + String.valueOf(this.lastSubsidyTime) + ")";
      }
   }
}
